
/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-08-09 09:59:43
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-09-06 17:43:15
 * @FilePath: \gzDyh\gz-customerSystem\src\views\basicInformation\organization\index.jsx
 * @Description: 来访登记
 * 
 */

import React, { useState } from "react";
import NewPage from '@/components/NewPage';
import "@arco-themes/react-gzzz/css/arco.css";
import '../index.less';
import { Typography, Steps, Tabs } from '@arco-design/web-react';
import { Audit, Matter, transfer, aiPerson } from '@/assets/images'
import MatterDetail from '../matterDetail';
import Handle from './component/handle';
import AuditView from './component/AuditView';
import {AiQuestion} from '../visit/component/levelDetail'

const Step = Steps.Step;
const TabPane = Tabs.TabPane;
const style = {
	// textAlign: 'center',
	// marginTop: 20,
};


const Organization = () => {
	const [current, setCurrent] = useState(3);
	const [tabsActive, setTabsActive] = useState('1');
	const [AiQuestionView, setAiQuestionView] = useState(false)
	const [tabsList, setTabList] = useState([
		{
			img: Matter,
			label: '事项详情',
			key: '1'
		},
		{
			img: transfer,
			label: '流转办理',
			key: '2',
			isNeedStep: true,//加上这个就有进度条
		},
		{
			img: Audit,
			label: '审核',
			key: '3',
		},
	])


	return (
		<div style={{ position: 'relative' }}>
			<NewPage
				pageHead={
					{ breadcrumbData: [{ title: '工作台' }, { title: '事件中心' }], title: '办理反馈' }
				}
			>
				<Tabs
					defaultActiveTab='1'
					onChange={(v) => setTabsActive(v)}
					className='myTabContent'
				>
					{tabsList?.map(item => {
						return <TabPane
							key={item.key}
							title={
								<span>
									{tabsActive === item.key && <img src={item.img} alt="" style={{ width: '16px', height: '16px', margin: '-5px 12px 0px 0px' }} />}
									<span style={{ fontSize: '16px' }}>{item.label}</span>
								</span>
							}
						>
							{
								item.isNeedStep && <div style={{ backgroundColor: '#fff', margin: '12px 16px 0px 16px', paddingTop: '16px', paddingLeft: '91px' }}>
									<Steps type='navigation' current={current}>
										<Step title='来访登记' disabled />
										<Step title='事件流转' disabled />
										<Step title='办理反馈' disabled />
										<Step title='结案审核' disabled />
										<Step title='当事人评价' disabled />
										<Step title='结案归档' disabled />
									</Steps>
								</div>
							}
							{tabsActive === '1' &&
								<MatterDetail hasApplet={true} hasEditBtn={true} />
							}
							{
								tabsActive === '2' && <Typography.Paragraph style={style}>
									<Handle />
								</Typography.Paragraph>
							}
							{
								tabsActive === '3' && <Typography.Paragraph style={style}>
									<AuditView />
								</Typography.Paragraph>
							}
						</TabPane>
					})}
				</Tabs>
			</NewPage>
			<div className="gradient-box" onClick={() => setAiQuestionView(true)}>
				<div><img src={aiPerson} alt='' style={{ width: '24px', height: '24px', marginRight: '6px' }} /></div>
				<div style={{ color: '#FFFFFF' }}>智能调解助理</div>
			</div>
			<AiQuestion
        visible={AiQuestionView}
        onClose={() => setAiQuestionView(false)}
      />
		</div>
	)
}

export default Organization;